package io.hmit.modules.sys.controller;

import io.hmit.common.utils.WebSocket;
import io.hmit.modules.serviceOrder.dto.PensionOrderDTO;
import io.hmit.modules.serviceOrder.service.PensionOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description : 通过websocket通知
 * @Author : Shen Yuanfeng
 * @Date : 2021/5/17 17:05
 */

@RestController
@RequestMapping("/webSocket")
public class WebSocketController {

    @Autowired
    private WebSocket webSocket;

    @Autowired
    private PensionOrderService pensionOrderService;

    @GetMapping("notify")
    public String doNotify(@RequestParam("orderId") Long orderId) {
        PensionOrderDTO pensionOrderDTO = pensionOrderService.get(orderId);
        webSocket.sendMessage("新订单-服务id：" + pensionOrderDTO.getServiceId());
        return "success";
    }
}
